Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
sensors::AlertedSensorManager_1_0_1::SensorData Struct Reference

Data about a monitored sensor. More...

`import"AlertedSensorManager.idl";`

## Public Attributes
Sensor_4_0_3 | sensor
| Reference to the sensor object.
Object | parent
| Reference to the sensor's parent object.
AlertState | alertState
| Current alert state of the sensor.

## Detailed Description

Data about a monitored sensor.

All entries include a reference to the sensor's parent object (e.g. an inlet or a peripheral device slot), allowing a client to identify an unknown alerted sensor with just a few RPC calls.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/AlertedSensorManager.idl